# Thermostat-jop-bouckaert

> Simple JSON thermostat.

As input it needs a setting with a wanted temperature, a temperature range and a current temperature.

You can give an update to the thermostat with the current temperature.

Supports multiple units. (Kelvin, Fahrenheit, Celsius = default)

![](img/Thermostat.png.png)

## Installation

OS X ,Linux & Windows:

1. Clone or download this repository.
2. Instal dependencies

```
bundle install
```

## Usage example

1. Run the app local:
   An example is in the `app.rb` file:

   ```ruby
   load 'json_thermostat.rb'

   while true
   thermostat_json = JSONThermostat.new("{\"temperature\": 20.0,\"range\": 1.0,\"unit\": \"kelvin\"}")
   updated = thermostat_json.update("{\"temperature\": 18.2}")
   puts updated;
   end
   ```

   You can run the app with following command:

   ```
   ruby -Ilib .\app.rb
   ```

2. An example with the Gemfile can be found here:
   [https://github.com/vives-softwareengineering-2019/thermostat-api-jopbouckaert](https://github.com/vives-softwareengineering-2019/thermostat-api-jopbouckaert)

## Release History

- 0.1
  - Basic thermostat logic
- 0.2
  - Add JSON input support
- 0.3
  - Add support for units
- 0.3-a
  - Single responsibility analyses
- 0.3-b
  - Managing dependencies
- 0.3-c
  - code style and layout cleanup

## Meta

Jop Bouckaert – [@Jop09071999](https://twitter.com/Jop09071999) – jop.bouckaert@outlook.com

Distributed under the Apache-2.0 license. See `LICENSE` for more information.

[https://github.com/jopbouckaert](https://github.com/jopbouckaert)

## Contributing

1. Fork it (<https://github.com/vives-softwareengineering-2019/thermostat-jopbouckaert>)
2. Create your feature branch (`git checkout -b feature/fooBar`)
3. Commit your changes (`git commit -am 'Add some fooBar'`)
4. Push to the branch (`git push origin feature/fooBar`)
5. Create a new Pull Request
